-- Début du bloc UNDO
reaper.Undo_BeginBlock()

-- Chemin vers le répertoire des chaînes d'effets
local directoryPath = reaper.GetResourcePath() .. "\\FXChains\\"

-- Nom de la chaîne d'effets à charger
local chainName = "hornetvu.RfxChain"

-- Fonction pour charger la chaîne d'effets sur une piste
local function chargerChaineEffetSurPiste(piste)
    local indexEffet = reaper.TrackFX_AddByName(piste, chainName, false, -1)

    if indexEffet ~= -1 then
        -- Activer l'effet
        reaper.TrackFX_SetEnabled(piste, indexEffet, true)
    else
        reaper.ShowConsoleMsg("La chaîne d'effet '" .. chainName .. "' n'a pas été trouvée.\n") -- Débogage
    end
end

-- Fonction pour fermer les fenêtres des plugins
local function fermerFenetresPlugins(piste)
    for i = 0, reaper.TrackFX_GetCount(piste) - 1 do
        reaper.TrackFX_Show(piste, i, 2) -- 2 pour cacher
    end
end

-- Fonction principale pour traiter toutes les pistes
local function chargerChaineEffetSurToutesLesPistes()
    local nombrePistes = reaper.CountTracks(0)
    
    for i = 0, nombrePistes - 1 do
        local piste = reaper.GetTrack(0, i)

        -- Charger la chaîne d'effets sur la piste
        chargerChaineEffetSurPiste(piste)

        -- Cacher la fenêtre de tous les plugins de la chaîne d'effets
        fermerFenetresPlugins(piste)
    end
end

-- Appel de la fonction principale
chargerChaineEffetSurToutesLesPistes()

-- Fin du bloc UNDO
reaper.Undo_EndBlock("Charger la Chaîne d'Effet 'hornetvu.RfxChain' sur toutes les pistes", -1)

