function removeStemSuffixFromTracks()
    local trackCount = reaper.CountTracks(0)

    for i = 0, trackCount - 1 do
        local track = reaper.GetTrack(0, i)
        local _, trackName = reaper.GetTrackName(track, "")

        -- Supprimer "- stem" à la fin du nom de la piste
        local modifiedName = string.gsub(trackName, " %- stem$", "")
        
        -- Mettre à jour le nom de la piste
        reaper.GetSetMediaTrackInfo_String(track, "P_NAME", modifiedName, true)
    end

    reaper.UpdateArrange()
end

-- Appel de la fonction pour supprimer "- stem" des noms de piste
reaper.Undo_BeginBlock() -- Début d'un bloc d'annulation
removeStemSuffixFromTracks()
reaper.Undo_EndBlock("Supprimer '- stem' des noms de piste", -1) -- Fin d'un bloc d'annulation avec un nom

