function deleteMutedTracks()
    local trackCount = reaper.CountTracks(0)

    for i = trackCount - 1, 0, -1 do
        local track = reaper.GetTrack(0, i)

        if track then
            local isMuted = reaper.GetMediaTrackInfo_Value(track, "B_MUTE") == 1

            if isMuted then
                reaper.DeleteTrack(track)
            end
        end
    end
end

-- Appel de la fonction pour supprimer les pistes mutées
reaper.Undo_BeginBlock() -- Début d'un bloc d'annulation
deleteMutedTracks()
reaper.Undo_EndBlock("Supprimer les pistes mutées", -1) -- Fin d'un bloc d'annulation avec un nom

