function selectMonoTracks()
    local trackCount = reaper.CountTracks(0)

    for i = 0, trackCount - 1 do
        local track = reaper.GetTrack(0, i)
        local itemCount = reaper.CountTrackMediaItems(track)

        local isMonoTrack = true

        for j = 0, itemCount - 1 do
            local item = reaper.GetTrackMediaItem(track, j)
            local take = reaper.GetActiveTake(item)

            if take then
                local takeChannels = reaper.GetMediaSourceNumChannels(reaper.GetMediaItemTake_Source(take))

                if takeChannels and takeChannels > 1 then
                    isMonoTrack = false
                    break
                end
            end
        end

        if isMonoTrack then
            reaper.SetTrackSelected(track, true)
        else
            reaper.SetTrackSelected(track, false)
        end
    end

    reaper.UpdateArrange()
end

-- Appel de la fonction pour sélectionner les pistes mono
reaper.Undo_BeginBlock() -- Début d'un bloc d'annulation
selectMonoTracks()
reaper.Undo_EndBlock("Sélectionner les pistes mono", -1) -- Fin d'un bloc d'annulation avec un nom

